inf = open('crystals.in')
ouf = open('crystals.out', 'w')

n = int(inf.readline())
a = list(map(int, inf.readline().split()))
b = list(map(int, inf.readline().split()))

indeq = -1
indless = -1
indgreat = -1

for i in range(n):
	if a[i] == b[i]:
		indeq = i
	elif a[i] < b[i]:
		indless = i
	else:
		indgreat = i

if indeq != -1:                   
	print(1, file=ouf)
	print(indeq + 1, file=ouf)
elif indless != -1 and indgreat != -1:
	print((a[indgreat] - b[indgreat]) + (b[indless] - a[indless]), file = ouf)	
	tmp = ([indless + 1] * (a[indgreat] - b[indgreat])) + ([indgreat + 1] * (b[indless] - a[indless]))
	print(" ".join(str(x) for x in tmp), file = ouf)
else:                 
	print(-1, file=ouf)
	                   